#pragma once

#include <iostream>
using namespace std;

class Point
{
private:
	int*coords;
public:	
	void afficher();
	void deplacer(int delta);

	friend ostream& operator << (ostream& out,Point & p);

	Point(void);
	Point(int x,int y);
	Point(Point & p);	// constructeur de copie

	~Point(void);
};
